package org.jeecg.modules.orderplatform.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.orderplatform.entity.PlatformOrder;

/**
 * 订单
 */
public interface IPlatformOrderService extends IService<PlatformOrder> {

    //自动分发订单，生成物料审批流程
    boolean generateMaterials(PlatformOrder platformOrder);

    //更新订单素材完成数量
    boolean updateOrderFinishAmount(String code);

    //根据orderCode查询
    PlatformOrder queryByCode(String code);
}
